<?php
/**
// Copyright (C) 2009 - 2011 Mike Feng Jinglong
//
// This program is a commercial software; you cannot redistribute it
// and/or modify it without the explicit consent from the author.
//
// All title and copyright in and to the Product is owned by Mike Feng
// and is protected by international copyright laws and treaty provisions.
// Mike Feng retains all ownership rights in the Product.
// The copyright notice must be reproduced and included on any copy
// that is expressly permitted under this Agreement.
**/

/** ensure this file is being included by a parent file */
defined('_JEXEC') or die('Restricted access');
require_once(JPATH_SITE.'/components/com_simanswers/globals.simanswers.php');
require_once(JPATH_SITE.'/components/com_simanswers/integrate.simanswers.php');
JPlugin::loadLanguage( 'com_simanswers' );

/**
 * Basic tab extender. Any plugin that needs to display a tab in the user profile
 * needs to have such a class. Also, currently, even plugins that do not display tabs (e.g., auto-welcome plugin)
 * need to have such a class if they are to access plugin parameters (see $this->params statement).
 */
class getSIMAnswersTab extends cbTabHandler {
	/**
	 * Construnctor
	 */
	function getSIMAnswersTab() {
		global $_PLUGINS;
		$this->cbTabHandler();
	}
	
	function getDisplayTab($tab, $user, $ui) {
		global $saurlraw;
		JHTML::_( 'behavior.mootools' );
		JHTML::_( 'behavior.modal' );
 		
		$db =& JFactory::getDBO();
		$my =& JFactory::getUser();
		$document =& JFactory::getDocument();
		$css = JURI::root().'components/com_comprofiler/plugin/user/plug_simanswers/style.css';
		$document->addStyleSheet($css);	
		$content = $this->_getOutputHTML($db, $my, $user);
		
		return $content;
	}

	function _getOutputHTML($db, $my, $user) {
		global $saurlraw;
		$saurlraw = JURI::root().$saurlraw;
		ob_start();	
		SAHelper::files('dashboard');
		$db->setQuery( "SELECT * FROM #__simanswers_questions WHERE `creator`=$user->id ORDER BY `qid` DESC" );
		$qns = $db->loadObjectList();
		$db->setQuery( "SELECT * FROM #__simanswers_answers WHERE `creator`=$user->id ORDER BY `aid` DESC" );
		$answers = $db->loadObjectList();
		$caption = ($my->id == $user->id) ? JText::_('SA_PLG_MY_DASHBOARD') : JText::_('SA_PLG_DASHBOARD');
		?>
		<ul class="sa-cb-links">
			<li>[<a href="<?php echo SALink::frontpage();?>"><?php echo JText::_('SA_PLG_ANSWERS');?></a>]</li>
			<li>[<a href="<?php echo SALink::dashboard($user->id, 'qna');?>"><?php echo $caption;?></a>]</li>
			<?php
			if ($my->id == $user->id) {
				$onclick = "SqueezeBox.fromElement(this, {'handler': 'url', 'url': '{$saurlraw}&view=plugin', 'size': {x:450, y:100} });";
				echo '<li>[<a onclick="'.$onclick.'" href="javascript:void(0);">'.JText::_('SA_PLG_ASK_QUESTION').'</a>]</li>';
			}
			?>
		</ul>
		<div style="clear:both;"></div>
		<?php
		dashboardQnA($user->id, $qns, $answers, true);
		?>
		<script type="text/javascript">
		window.addEvent('domready', function() {

			SqueezeBox.initialize({});

			$$('a.modal').each(function(el) {
				el.addEvent('click', function(e) {
					new Event(e).stop();
					SqueezeBox.fromElement(el);
				});
			});
		});
		</script>
		<?php
		$contents  = ob_get_contents();
		@ob_end_clean();
		
		return $contents;
	}
} // end of class
?>